Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058332 - Installer: Certain installation path creates invalid installation
Summary: Installer: Certain installation path creates invalid installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER2
: 6.1.0
Assignee: Thomas Hauser
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 14:58 UTC by Thomas Hauser
Modified: 2016-02-10 08:53 UTC (History)
5 users (show)

Doc Type: Release Note
Doc Text:
When choosing to install a security domain using the JBoss Data Virtualization installer, if a user checked the box to install JSSE then selected Next, validation failed due to not having declared a keystore/truststore. If the user then unchecked the box and continues installation, it will appear to finish successfully; however, the server would not start. This is because the chosen path created an incomplete security domain. This has now been fixed. JSSE installs correctly and the server starts as expected.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:53:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Hauser 2014-01-27 14:58:23 UTC
Description of problem:
If the user follows a particular path through the installation process, the installer creates an invalid installation.

How reproducible:
1. Advance in the installer to the "additional configuration" page.
2. Click "Install security-domain".
3. Advance to the JSSE panel.
4. Check the box to install JSSE.
5. Click next. Validation will fail because there is no keystore / truststore declared.
6. Uncheck the box.
7. Continue installation. It will succeed.

The result is a server that will not start. The root cause is because izpack is adding the contents of some of the JSSE fields, even though validation has failed. This results in an incomplete security domain definition.

Expected results:
No incomplete security domain is added.

Additional info:
The error only manifests along the path above. Adding a JSSE security domain which passes the panel validation works; continuing installation without clicking next on the JSSE panel, having validation fail, and then choosing to deselect JSSE is the only way this issue will occur.

Comment 2 Thomas Hauser 2014-01-27 15:01:49 UTC
This issue will not be fixed for 6.0.0.

Comment 3 Miles Tjandrawidjaja 2014-01-28 15:52:53 UTC
JSSE attributes will only be set only if we have checked the Add JSSE element.

http://git.app.eng.bos.redhat.com/installer-commons.git/commit/?h=6.1.1.ip&id=af55904423ae2452eb28a32fab209a479a0537c5


Note You need to log in before you can comment on or make changes to this bug.